

Fix bug #3738, reported by <mator@mail.ru>

CONFIG_SOUND_VIA82CXXX_PROCFS enables the driver's /proc interfaces, but seems
to have got lost in Kconfig.

Also, clean the driver up a bit wrt VIA_PROC_FS

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/Kconfig           |    7 +++++++
 25-akpm/sound/oss/via82cxxx_audio.c |   11 +++--------
 2 files changed, 10 insertions(+), 8 deletions(-)

diff -puN sound/oss/Kconfig~CONFIG_SOUND_VIA82CXXX_PROCFS sound/oss/Kconfig
--- 25/sound/oss/Kconfig~CONFIG_SOUND_VIA82CXXX_PROCFS	Fri Nov 12 15:40:04 2004
+++ 25-akpm/sound/oss/Kconfig	Fri Nov 12 15:40:04 2004
@@ -479,6 +479,13 @@ config SOUND_VIA82CXXX
 	  you have a Sound Blaster or Adlib card in addition to your VIA
 	  audio chip.
 
+config SOUND_VIA82CXXX_PROCFS
+	bool "VIA /proc status"
+	depends on SOUND_VIA82CXXX && PROC_FS
+	help
+	  Enable access to various information about codec via
+	  /proc/driver/via/info
+
 config MIDI_VIA82CXXX
 	bool "VIA 82C686 MIDI"
 	depends on SOUND_VIA82CXXX
diff -puN sound/oss/via82cxxx_audio.c~CONFIG_SOUND_VIA82CXXX_PROCFS sound/oss/via82cxxx_audio.c
--- 25/sound/oss/via82cxxx_audio.c~CONFIG_SOUND_VIA82CXXX_PROCFS	Fri Nov 12 15:40:04 2004
+++ 25-akpm/sound/oss/via82cxxx_audio.c	Fri Nov 12 15:40:04 2004
@@ -62,11 +62,6 @@
         }
 #endif
 
-#if defined(CONFIG_PROC_FS) && \
-    defined(CONFIG_SOUND_VIA82CXXX_PROCFS)
-#define VIA_PROC_FS 1
-#endif
-
 #define VIA_SUPPORT_MMAP 1 /* buggy, for now... */
 
 #define MAX_CARDS	1
@@ -366,7 +361,7 @@ static void via_chan_clear (struct via_i
 static void via_chan_pcm_fmt (struct via_channel *chan, int reset);
 static void via_chan_buffer_free (struct via_info *card, struct via_channel *chan);
 
-#ifdef VIA_PROC_FS
+#ifdef CONFIG_SOUND_VIA82CXXX_PROCFS
 static int via_init_proc (void);
 static void via_cleanup_proc (void);
 static int via_card_init_proc (struct via_info *card);
@@ -3652,7 +3647,7 @@ MODULE_DESCRIPTION("DSP audio and mixer 
 MODULE_LICENSE("GPL");
 
 
-#ifdef VIA_PROC_FS
+#ifdef CONFIG_SOUND_VIA82CXXX_PROCFS
 
 /****************************************************************
  *
@@ -3828,4 +3823,4 @@ static void via_card_cleanup_proc (struc
 	DPRINTK ("EXIT\n");
 }
 
-#endif /* VIA_PROC_FS */
+#endif /* CONFIG_SOUND_VIA82CXXX_PROCFS */
_
